Page MenuHome

Outliner select hierarchy parent and children drag'n'drop into another collection works incorrectly
Closed, ResolvedPublic

Description

System Information
Operating system: Linux-5.3.0-42-generic-x86_64-with-debian-buster-sid 64 Bits
Graphics card: GeForce GTX 1080 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 435.21

Blender Version
Broken: version: 2.83 (sub 13), branch: master, commit date: 2020-04-10 21:07, hash: rBa8d139ca2002, 2.82a
Worked: 2.80

Short description of error
You have a parent-children objects and you want to move them to another collection via drag'n'drop. You select the parent, do select hierarchy, drag by any of the selected object into another collection and only the selected is placed there. BUT on the second iteration of the process after undo it works properly.
This issue occurs only after the "select hierarchy" operation. Regular multiple select with the shift button works correctly.
And one more thing. It's more logical to drag by the parent and get the hierarchy moved automatically without the "select hierarchy" operation. But I think you know about it and I saw a ticket about that I guess.

Exact steps for others to reproduce the error

Open the attached file
Deselect all objects
RMB on the suzanne in the outliner, select hierarchy
Drag by the suzanne into the upper collection
Only Suzanne got moved
Undo
Drag by the suzanne into the upper collection once again
Now all the hierarchy got moved

Event Timeline

This report is so serious that it casts doubt on the ability to create a reliable predictable setup of the scene in Blender on a collection management level.

dupoxy added a subscriber: dupoxy.Apr 11 2020, 4:02 PM
Richard Antalik (ISS) changed the task status from Needs Triage to Confirmed.Apr 14 2020, 5:00 PM
Richard Antalik (ISS) updated the task description. (Show Details)

Select Hierarchy selects the objects, but not the outliner items. Selection syncing would have to be performed so that operations are applied to the entire hierarchy. After undo, we always perform selection syncing, which causes the outliner items to be properly selected.

This is being addressed in D5572, but I think this specific issue should be fixed as soon as possible. No need to wait for until some further code design discussions are resolved (T69212).